//***************************************************************************************
//
// File supervisor: Softimage 3D Games & 3D Bridge team
//
// (c) Copyright 2001-2002 Avid Technology, Inc. . All rights reserved.
//
//***************************************************************************************
/****************************************************************************************
THIS CODE IS PUBLISHED AS A SAMPLE ONLY AND IS PROVIDED "AS IS".
IN NO EVENT SHALL SOFTIMAGE, AVID TECHNOLOGY, INC. AND/OR THEIR RESPECTIVE 
SUPPLIERS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY
DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
CONNECTION WITH THE USE OR PERFORMANCE OF THIS CODE . 
 
COPYRIGHT NOTICE. Copyright  1999-2002 Avid Technology Inc. . All rights reserved. 

SOFTIMAGE is a registered trademark of Avid Technology Inc. or its subsidiaries 
or divisions. Windows NT is a registered trademark of Microsoft Corp. All other
trademarks contained herein are the property of their respective owners. 
****************************************************************************************/
// Params.h : Declaration of the CParams

#ifndef __PARAMS_H_
#define __PARAMS_H_

#include "resource.h"       // main symbols
#include <XSIParser.h>

/////////////////////////////////////////////////////////////////////////////
// CParams
class ATL_NO_VTABLE CParams : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CParams, &CLSID_Params>,
	public ISupportErrorInfo,
	public IDispatchImpl<IParams, &IID_IParams, &LIBID_DOTXSIOBJLib>
{
public:
	CParams()
	{
		m_pParams=NULL;
	}

DECLARE_REGISTRY_RESOURCEID(IDR_PARAMS)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CParams)
	COM_INTERFACE_ENTRY(IParams)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// IParams
public:
	STDMETHOD(get_Item)(long in_lIndex, /*[out, retval]*/ IDispatch* *out_ppParam);
	STDMETHOD(Remove)(long in_lIndex);
	STDMETHOD(get_CreateParam)(/*[out, retval]*/ IDispatch* *out_ppParam);
	STDMETHOD(Add)(IDispatch *in_Param, long in_lPos);
	STDMETHOD(get_GetCount)(/*[out, retval]*/ long *out_plCount);

	CdotXSIParams* GetParams() { return m_pParams; }
	void SetParams(CdotXSIParams* pParams) { m_pParams = pParams; }

private:

	CdotXSIParams*	m_pParams;
};

#endif //__PARAMS_H_
