/* $Header: /Src/RhinoIO/rhinoio.h 6     10/06/98 3:56p Dalelear $ */
/* $NoKeywords: $ */
//
// Copyright (c) 1993-1998 Robert McNeel & Associates. All rights reserved.
// Rhinoceros is a registered trademark of Robert McNeel & Assoicates.
//
// THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTY.
// ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR PURPOSE AND OF
// MERCHANTABILITY ARE HEREBY DISCLAIMED.
//				
////////////////////////////////////////////////////////////////
//
//   Includes all Rhino IO toolkit headers required to use the
//   Rhino IO toolkit library.  See readme.txt for details.
//
////////////////////////////////////////////////////////////////

#if !defined(RHINO_IO_INC_)
#define RHINO_IO_INC_

#include "rhinoio_object.h"

// basic rendering objects
#include "rhinoio_spotlight.h"
#include "rhinoio_viewport.h"

// basic geometry objects
#include "rhinoio_pointset.h"
#include "rhinoio_mesh.h"
#include "rhinoio_nurbscrv.h"
#include "rhinoio_nurbssrf.h"

// AGLib geometry objects
#include "rhinoio_agspline.h"
#include "rhinoio_agcurve.h"
#include "rhinoio_agsurface.h"

#include "rhinoio_brep.h"

#include "rhinoio_agface.h"
#include "rhinoio_agshell.h"

// Non geometry objects
#include "rhinoio_notes.h"

#endif
